# Visualization Library A lightweight C++ OpenGL middleware for 2D/3D graphics | [Home] [Tutorials] [All Classes] [Grouped Classes]

# vl::EdgeExtractor::Edge Class Reference

A single edge as extracted from the EdgeExtractor class. More...

`#include <EdgeExtractor.hpp>`

List of all members.

## Public Member Functions
| Edge ()
| Edge (const fvec3 &v1, const fvec3 &v2)
void | setVertex1 (const fvec3 &v)
const fvec3 & | vertex1 () const
void | setVertex2 (const fvec3 &v)
const fvec3 & | vertex2 () const
void | setNormal1 (const fvec3 &v)
const fvec3 & | normal1 () const
void | setNormal2 (const fvec3 &v)
const fvec3 & | normal2 () const
bool | isCrease () const
void | setIsCrease (bool iscrease)
bool | operator< (const Edge &other) const
bool | operator== (const Edge &other) const
## Protected Attributes
fvec3 | mVertex1
fvec3 | mVertex2
fvec3 | mNormal1
fvec3 | mNormal2
bool | mIsCrease

## Detailed Description

A single edge as extracted from the EdgeExtractor class.

## Constructor & Destructor Documentation

vl::EdgeExtractor::Edge::Edge | ( |  | ) | `[inline]`

vl::EdgeExtractor::Edge::Edge | ( | const fvec3 & | v1,
|  | const fvec3 & | v2 |
| ) |  |  | `[inline]`

## Member Function Documentation

void vl::EdgeExtractor::Edge::setVertex1 | ( | const fvec3 & | v | ) | `[inline]`

const fvec3& vl::EdgeExtractor::Edge::vertex1 | ( |  | ) | const`[inline]`

void vl::EdgeExtractor::Edge::setVertex2 | ( | const fvec3 & | v | ) | `[inline]`

const fvec3& vl::EdgeExtractor::Edge::vertex2 | ( |  | ) | const`[inline]`

void vl::EdgeExtractor::Edge::setNormal1 | ( | const fvec3 & | v | ) | `[inline]`

const fvec3& vl::EdgeExtractor::Edge::normal1 | ( |  | ) | const`[inline]`

void vl::EdgeExtractor::Edge::setNormal2 | ( | const fvec3 & | v | ) | `[inline]`

const fvec3& vl::EdgeExtractor::Edge::normal2 | ( |  | ) | const`[inline]`

bool vl::EdgeExtractor::Edge::isCrease | ( |  | ) | const`[inline]`

void vl::EdgeExtractor::Edge::setIsCrease | ( | bool | iscrease | ) | `[inline]`

bool vl::EdgeExtractor::Edge::operator< | ( | const Edge & | other | ) | const`[inline]`

bool vl::EdgeExtractor::Edge::operator== | ( | const Edge & | other | ) | const`[inline]`

## Member Data Documentation

fvec3 vl::EdgeExtractor::Edge::mVertex1`[protected]`

fvec3 vl::EdgeExtractor::Edge::mVertex2`[protected]`

fvec3 vl::EdgeExtractor::Edge::mNormal1`[protected]`

fvec3 vl::EdgeExtractor::Edge::mNormal2`[protected]`

bool vl::EdgeExtractor::Edge::mIsCrease`[protected]`

The documentation for this class was generated from the following file:

- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/EdgeExtractor.hpp

Visualization Library v2009.08 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Sun Nov 29 11:11:45 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.